Skip to main content
GET
/
deployments
Retrieve a specific or latest deployment
curl --request GET \
  --url https://api.adaline.ai/v2/deployments \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "createdAt": 17450965800000,
  "updatedAt": 17450965800000,
  "createdByUserId": "<string>",
  "updatedByUserId": "<string>",
  "projectId": "<string>",
  "promptId": "<string>",
  "deploymentEnvironmentId": "<string>",
  "prompt": {
    "config": {
      "providerName": "openai",
      "providerId": "6e94350a-95a9-48e7-8eab-a9f35ec2dc9d",
      "model": "gpt-4o",
      "settings": {
        "temperature": 0.7,
        "maxTokens": 1000,
        "topP": 0.9,
        "presencePenalty": 0.1
      }
    },
    "messages": [
      {
        "role": "system",
        "content": [
          {
            "modality": "text",
            "value": "<string>"
          }
        ]
      }
    ],
    "tools": [
      {
        "type": "function",
        "definition": {
          "schema": {
            "name": "<string>",
            "description": "<string>",
            "parameters": {},
            "strict": true
          }
        },
        "request": {
          "type": "http",
          "method": "get",
          "url": "<string>",
          "headers": {},
          "query": {},
          "body": {},
          "proxyUrl": "<string>",
          "proxyHeaders": {},
          "retry": {
            "maxAttempts": 2,
            "initialDelay": 2,
            "exponentialFactor": 2
          }
        }
      }
    ],
    "variables": [
      {
        "name": "<string>",
        "modality": "text"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Workspace API key. Pass as Authorization: Bearer <key>.

Query Parameters

promptId
string
required

The unique identifier of the prompt. Required for both specific and latest deployment retrieval. Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80
deploymentId
string
required

The unique identifier of the deployment. Set to 'latest' or 'current' to retrieve the latest deployment in the given environment.

deploymentEnvironmentId
string

The unique identifier of the deployment environment. Required when retrieving the latest deployment (deploymentId=latest). Unique identifier for an entity, between 20 and 80 characters.

Required string length: 20 - 80

Response

Deployment retrieved successfully.

A deployment is a specific instance of a prompt that has been deployed to a specific environment.

id
string
required

The unique identifier of the deployment.

createdAt
integer<int64>
required

The timestamp when the deployment was created.

Required range: 1672511400000 <= x <= 33229420200000
updatedAt
integer<int64>
required

The timestamp when the deployment was last updated.

Required range: 1672511400000 <= x <= 33229420200000
createdByUserId
string
required

The unique identifier of the user who created the deployment.

Required string length: 20 - 80
updatedByUserId
string
required

The unique identifier of the user who last updated the deployment.

Required string length: 20 - 80
projectId
string
required

The unique identifier of the project.

Required string length: 20 - 80
promptId
string
required

The unique identifier of the prompt.

Required string length: 20 - 80
deploymentEnvironmentId
string
required

The unique identifier of the deployment environment.

Required string length: 20 - 80
prompt
Prompt Snapshot · object
required

The prompt snapshot that is deployed.